Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
license-compliance-statuses
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/agents/{agentId}/license-compliance-statuses
{
  "data": {
    "productName": "<string>",
    "states": [
      {
        "stateCode": "AL"
      }
    ]
  },
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns the license compliance status for a specific agent, filtered by state and product.

Path Parameters

agentId
string
required

Agent ID

Example:

"507f1f77bcf86cd799439011"

Query Parameters

stateCode
string
required

State code (two-letter abbreviation)

Example:

"CA"

productId
string
required

Product ID

Example:

"6098a7f8c9e77c001f3c5a1b"

Response

Agent license compliance statuses

data
object
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"